<h2 class="text-center m-4"><%= @article.title %></h2>

<div class="container">
  <div class="row justify-content-md-center">
  <div class="col-8 mt-4">
    <div class="card text-center shadow mb-5 bg-white rounded">
      <div class="card-header font-italic">
        By <%= @article.user.username if @article.user %><br>
        <% if @article.categories.any? %>
          <div class="mt-2">
            <%= render @article.categories %>
          </div>
        <% end %>
      </div>
      <div class="card-body">
        <div class="card-text"><%= simple_format(@article.description) %></div>
        <% if logged_in? && (current_user == @article.user || current_user.admin?) %>
          <%= link_to 'Edit', edit_article_path(@article), class: "btn btn-outline-info" %>
          <%= link_to 'Delete', article_path(@article), method: :delete, class: "btn btn-outline-danger", data: {confirm: 'Are u sure ?'} %>
        <% end %>
      </div>
      <div class="card-footer text-muted">
        <small>Created <%= time_ago_in_words(@article.created_at) %> ago,
        Edited <%= time_ago_in_words(@article.updated_at) %> ago
        </small>
      </div>
    </div>
  </div>
  </div>
</div>
